linux-armadaxp: 3.5.0-1604.6 -proposed tracker

Bug #1068573 reported by Brad Figg on 2012-10-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Registry Administrators
Prepare-package-meta
Undecided
Registry Administrators
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Ike Panhc
Verification-testing
Undecided
Registry Administrators
linux-armadaxp (Ubuntu)
Medium
Unassigned
Quantal
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 19. October 2012 11:01 UTC
kernel-stable-Certification-testing-end:Friday, 19. October 2012 11:16 UTC
kernel-stable-Prepare-package-end:Wednesday, 31. October 2012 16:32 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 31. October 2012 16:32 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 01. November 2012 08:31 UTC
kernel-stable-Security-signoff-start:Thursday, 01. November 2012 09:16 UTC
kernel-stable-Verification-testing-end:Thursday, 01. November 2012 09:16 UTC
kernel-stable-Regression-testing-start:Thursday, 01. November 2012 09:16 UTC
kernel-stable-Security-signoff-end:Thursday, 01. November 2012 11:46 UTC
kernel-stable-Promote-to-updates-start:Thursday, 29. November 2012 02:00 UTC
kernel-stable-Regression-testing-end:Thursday, 29. November 2012 02:00 UTC
kernel-stable-Promote-to-updates-end:Friday, 30. November 2012 02:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 30. November 2012 03:01 UTC

This tracking bug was opened to be worked from linux-3.2.0-33.52 update (bug 1067666)

tags: added: kernel-release-tracking-bug
tags: added: armhf
Changed in linux-armadaxp (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-10-19
description: updated
Ike Panhc (ikepanhc) on 2012-10-30
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.2.0-1610.15 -proposed tracker
Changed in linux-armadaxp (Ubuntu Precise):
status: New → In Progress
Brad Figg (brad-figg) on 2012-10-30
description: updated

This tracking bug was opened to be worked from linux-3.5.0-18.29 update (bug 1068224)

Ike Panhc (ikepanhc) on 2012-10-30
no longer affects: linux-armadaxp (Ubuntu Precise)
Changed in linux-armadaxp (Ubuntu Quantal):
status: New → In Progress
Ike Panhc (ikepanhc) on 2012-10-30
summary: - linux-armadaxp: 3.2.0-1610.15 -proposed tracker
+ linux-armadaxp:3.5.0-1604.6 -proposed tracker
Ike Panhc (ikepanhc) on 2012-10-30
summary: - linux-armadaxp:3.5.0-1604.6 -proposed tracker
+ linux-armadaxp: 3.5.0-1604.6 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides updated.

The following packages ended up in the wrong component in the -proposed pocket:

block-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
crypto-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
fs-core-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
fs-secondary-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
input-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
irda-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
kernel-image-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
linux-headers-3.5.0-1604 3.5.0-1604.6 - is in universe instead of main
linux-headers-3.5.0-1604-armadaxp 3.5.0-1604.6 - is in universe instead of main
linux-image-3.5.0-1604-armadaxp 3.5.0-1604.6 - is in universe instead of main
md-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
nic-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
nic-shared-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
nic-usb-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
parport-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
plip-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
ppp-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
scsi-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
squashfs-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
storage-core-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main
usb-modules-3.5.0-1604-armadaxp-di 3.5.0-1604.6 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Adam Conrad (adconrad) wrote :

The overrides were mangled already, the bot just beat the publisher. :P

Brad Figg (brad-figg) on 2012-11-01
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2012-11-01
description: updated
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2012-11-01
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-11-29
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (16.3 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1604.6

---------------
linux-armadaxp (3.5.0-1604.6) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1068573
  * Rebase onto Ubuntu-3.5.0-18.29

  [ Ubuntu: 3.5.0-18.29 ]

  * Release Tracking Bug
    - LP: #1068224
  * [packaging] do not fail secure copy on older kernels
  * SAUCE: efivarfs: efivarfs_file_read ensure we free data in error paths
    - LP: #1063061
  * SAUCE: efivars: efivarfs_create() ensure we drop our reference on inode
    on error
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() fix inode reference counts
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() ensure we free our temporary
    name
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() ensure we clean up correctly on
    error
    - LP: #1063061
  * [Config] add fs/udf to linux-image to support DVD/CD formats in virtual
    instances
    - LP: #1066921
  * SAUCE: efi: Handle deletions and size changes in efivarfs_write_file
    - LP: #1063061
  * SAUCE: efivarfs: Implement exclusive access for {get, set}_variable
    - LP: #1063061
  * SAUCE: input: Cypress PS/2 Trackpad list additional contributors
  * SAUCE: input: Cypress PS/2 Trackpad fix lost sync upon palm contact
    - LP: #1048258
  * SAUCE: input: Cypress PS/2 Trackpad fix taps turning into hardware
    clicks
    - LP: #1064086
  * Revert "SAUCE: ext4: fix crash when accessing /proc/mounts
    concurrently"
    - LP: #1066176
  * Revert "SAUCE: ALSA: hda/realtek - Fix detection of ALC271X codec"
    - LP: #1066176
  * SAUCE: efi: add efivars kobject to efi sysfs folder
    - LP: #1063061
  * SAUCE: efivarfs: Add documentation for the EFI variable filesystem
    - LP: #1063061
  * SAUCE: efi: Add support for a UEFI variable filesystem
    - LP: #1063061
  * SAUCE: bridge: Pull ip header into skb->data before looking into ip
    header.
    - LP: #1065150
  * Revert "drm/i915: correctly order the ring init sequence"
    - LP: #1066176
  * vfs: dcache: fix deadlock in tree traversal
    - LP: #1063761
  * dm mpath: only retry ioctl when no paths if queue_if_no_path set
    - LP: #1063761
  * dm: handle requests beyond end of device instead of using BUG_ON
    - LP: #1063761
  * dm table: clear add_random unless all devices have it set
    - LP: #1063761
  * dm verity: fix overflow check
    - LP: #1063761
  * usb: gadget: make g_printer enumerate again
    - LP: #1063761
  * usb: gadget: initialize the strings in tcm_usb_gadget properly
    - LP: #1063761
  * USB: option: blacklist QMI interface on ZTE MF683
    - LP: #1063761
  * USB: ftdi_sio: add TIAO USB Multi-Protocol Adapter (TUMPA) support
    - LP: #1063761
  * USB: qcaux: add Pantech vendor class match
    - LP: #1063761
  * usb: host: xhci: Fix Null pointer dereferencing with 71c731a for
    non-x86 systems
    - LP: #1063761
  * USB: serial: fix up bug with missing {}
    - LP: #1063761
  * staging: speakup_soft: Fix reading of init string
    - LP: #1063761
  * tty: keyboard.c: Remove locking from vt_get_leds.
    - LP: #1063761
  * staging: r8712u: Do not queue cloned skb
    - LP: #1063761
  * staging: comedi: s626: d...

Changed in linux-armadaxp (Ubuntu Quantal):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2012-11-30
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (16.3 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1604.6

---------------
linux-armadaxp (3.5.0-1604.6) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1068573
  * Rebase onto Ubuntu-3.5.0-18.29

  [ Ubuntu: 3.5.0-18.29 ]

  * Release Tracking Bug
    - LP: #1068224
  * [packaging] do not fail secure copy on older kernels
  * SAUCE: efivarfs: efivarfs_file_read ensure we free data in error paths
    - LP: #1063061
  * SAUCE: efivars: efivarfs_create() ensure we drop our reference on inode
    on error
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() fix inode reference counts
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() ensure we free our temporary
    name
    - LP: #1063061
  * SAUCE: efivarfs: efivarfs_fill_super() ensure we clean up correctly on
    error
    - LP: #1063061
  * [Config] add fs/udf to linux-image to support DVD/CD formats in virtual
    instances
    - LP: #1066921
  * SAUCE: efi: Handle deletions and size changes in efivarfs_write_file
    - LP: #1063061
  * SAUCE: efivarfs: Implement exclusive access for {get, set}_variable
    - LP: #1063061
  * SAUCE: input: Cypress PS/2 Trackpad list additional contributors
  * SAUCE: input: Cypress PS/2 Trackpad fix lost sync upon palm contact
    - LP: #1048258
  * SAUCE: input: Cypress PS/2 Trackpad fix taps turning into hardware
    clicks
    - LP: #1064086
  * Revert "SAUCE: ext4: fix crash when accessing /proc/mounts
    concurrently"
    - LP: #1066176
  * Revert "SAUCE: ALSA: hda/realtek - Fix detection of ALC271X codec"
    - LP: #1066176
  * SAUCE: efi: add efivars kobject to efi sysfs folder
    - LP: #1063061
  * SAUCE: efivarfs: Add documentation for the EFI variable filesystem
    - LP: #1063061
  * SAUCE: efi: Add support for a UEFI variable filesystem
    - LP: #1063061
  * SAUCE: bridge: Pull ip header into skb->data before looking into ip
    header.
    - LP: #1065150
  * Revert "drm/i915: correctly order the ring init sequence"
    - LP: #1066176
  * vfs: dcache: fix deadlock in tree traversal
    - LP: #1063761
  * dm mpath: only retry ioctl when no paths if queue_if_no_path set
    - LP: #1063761
  * dm: handle requests beyond end of device instead of using BUG_ON
    - LP: #1063761
  * dm table: clear add_random unless all devices have it set
    - LP: #1063761
  * dm verity: fix overflow check
    - LP: #1063761
  * usb: gadget: make g_printer enumerate again
    - LP: #1063761
  * usb: gadget: initialize the strings in tcm_usb_gadget properly
    - LP: #1063761
  * USB: option: blacklist QMI interface on ZTE MF683
    - LP: #1063761
  * USB: ftdi_sio: add TIAO USB Multi-Protocol Adapter (TUMPA) support
    - LP: #1063761
  * USB: qcaux: add Pantech vendor class match
    - LP: #1063761
  * usb: host: xhci: Fix Null pointer dereferencing with 71c731a for
    non-x86 systems
    - LP: #1063761
  * USB: serial: fix up bug with missing {}
    - LP: #1063761
  * staging: speakup_soft: Fix reading of init string
    - LP: #1063761
  * tty: keyboard.c: Remove locking from vt_get_leds.
    - LP: #1063761
  * staging: r8712u: Do not queue cloned skb
    - LP: #1063761
  * staging: comedi: s626: d...

Changed in linux-armadaxp (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers